Resource Center/Hardware/Primary Storage Operations
PUTPrimary Storage OperationsSince 2.2SynchronousAuth Required
PrimaryStorageMigrateVolume
PrimaryStorageMigrateVolume
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
volumeUuidStringRequiredThe volume UUID.
Body Fields
primarystoragemigratevolumeObjectRequiredprimarystoragemigratevolume request body object.
dstPrimaryStorageUuidStringRequiredThe UUID of the destination primary storage.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/primary-storage/volumes/{volumeUuid}/actions
/zstack/v1/primary-storage/volumes/{volumeUuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/primary-storage/volumes/{volumeUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"primarystoragemigratevolume":{"dstPrimaryStorageUuid":"<dstPrimaryStorageUuid>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "5fa2d1c7adcd4963b1f9016075764fcb", "name": "test-volume", "primaryStorageUuid": "6ebc0be6faaa41f28874daa6076322bd", "vmInstanceUuid": "2c528326ddcf43dd9bdd1d80da7a15ef", "diskOfferingUuid": "2af3082d23444be9833c32c53ea2b1ed", "rootImageUuid": "254bdaf01a33407082d8afe540b76796", "installPath": "/Cloud_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-5fa2d1c7adcd4963b1f9016075764fcb/5fa2d1c7adcd4963b1f9016075764fcb.qcow2", "type": "Root", "format": "qcow2", "size": 1.073741824E11, "actualSize": 2.147483648E10, "deviceId": 0.0, "state": "Enabled", "status": "Ready", "createDate": "Oct 26, 2017 3:38:58 PM", "lastOpDate": "Oct 26, 2017 3:38:58 PM" } }Change History
This API has no change history records yet.
